### Method

# GdkWayland WaylandDisplayget_wl_compositor

#### Declaration [src]

    wl_compositor*
    gdk_wayland_display_get_wl_compositor (
      GdkDisplay* display
    )

#### Description [src]

Returns the Wayland `wl_compositor` of a `GdkDisplay`.

This method is not directly available to language bindings.

#### Return value

Type: `wl_compositor*`

A Wayland `wl_compositor`

The data is owned by the instance.
The return value can be `NULL`.